<?php
/*
Plugin Name: فلت سام فارسی
Plugin URI: https://mojtaba.dev
Description: این افزونه توسط مجتبی درویشی به منظور فارسی سازی قالب فلت سام توسعه داده شده است
Author: مجتبی درویشی
Version: 3.18.3
Author URI: https://mojtaba.dev
Text Domain: persian-flatsome
Domain Path: /languages/
*/
namespace Persian_Flatsome;

class Bootstrap {

    private static $_instance;
    public static $path;
    public static $url;
	/**
	 * Bootstrap constructor.
	 */
	public function __construct() {
        self::$url = plugin_dir_url( __FILE__ );
        self::$path = plugin_dir_path( __FILE__ );

		include_once( self::$path . 'includes/Main.php' );
		Main::instance();
	}


	/**
	 * Main Class Instance.
	 *
	 * Ensures only one instance of this class is loaded or can be loaded.
	 *
	 * @static
	 * @return Bootstrap - Main instance.
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}
}
Bootstrap::instance();
?>
